Bug 99256 - anomalies in mozilla-1.0.2-2.7.3 update rpm
anomalies in mozilla-1.0.2-2.7.3 update rpm
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2003-07-16 14:09 EDT by Ole Craig
Modified: 2007-04-18 12:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-29 14:15:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch for specfile. (890 bytes, patch)
2003-07-17 11:32 EDT, Ole Craig
no flags Details | Diff

  None (edit)
Description Ole Craig 2003-07-16 14:09:32 EDT
Description of problem:
- no changelog entry in RPM
- installs /usr/lib/mozilla-1.0.2 with root-only permissions, i.e. mode 700

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. rpm -Uvh mozilla*1.0.2-2.7.3.i386.rpm
Actual results:
mozilla exits immediately with status 126

Expected results:
open mozilla browser window

Additional info:
Comment 1 Eric Thomas 2003-07-17 00:19:25 EDT
Incomplete CHANGELOG entry in 1.0.2-1.8.0 version for RH 8.0
Earliest entry in CHANGELOG (10 aug 2002) older than earliest in 1.0.1-26 (4 oct
Cannot confirm the /usr/lib/mozilla-1.0.2 permission problem on RH 8.0 as I've
not already installed this new RPMs
Comment 2 Ole Craig 2003-07-17 11:32:16 EDT
Created attachment 92981 [details]
patch for specfile.

simple specfile fix to ensure perms, bumped serial and release so things like
autorpm will DTRT.
Comment 3 Ole Craig 2003-07-17 11:33:48 EDT
fixed RPMs available RSN from http://www.cs.umass.edu/~olc/pub/mozilla/
Comment 4 Christopher Blizzard 2003-08-22 13:57:31 EDT
I haven't tested that but I think that will mark all files as 0755, not just the
Comment 5 Ole Craig 2003-08-29 13:07:45 EDT
Yes, but insofar as I can determine this does not harm anything. Nothing mozilla
installs needs differing permissions, yesno?
Comment 6 Christopher Blizzard 2003-09-03 10:57:29 EDT
It sets all of the various non-executable files as executable.  Even if it
doesn't harm anything, it's still obviously incorrect.
Comment 7 Michael Schwendt 2004-10-22 12:06:42 EDT
Since Red Hat Linux 7.3 has reached end-of-life long ago, this bug
could be closed or moved to Fedora Legacy.

Red Hat Enterprise Linux 2.1 is not affected by this.

The proper fix for rh73 would have been this:

--- mozilla.spec.orig   2003-07-03 21:05:52.000000000 +0200
+++ mozilla.spec        2004-10-22 16:19:51.991577360 +0200
@@ -595,6 +595,7 @@
 %files -f /tmp/mozilla.list
+%dir %prefix/lib/mozilla-%version
Comment 8 Christopher Blizzard 2004-11-29 14:15:21 EST
Marking WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.